Subject: Re: [PATCH] utf8: NO_ICONV: silence uninitialized variable warning

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Jun 2015 15:19:04 -0700

Jeff King <[email-masked]> writes:

> So I think your patch is the best option, but it might be good to give
> one more look at the callers to be sure we are not missing something.

The two callers both leave the outsz uninitialized and to a human it
is obvious that uninitialized outsz is never used when the function
or macro returns NULL.  It is somewhat sad that we need a useless
assignment to *e to help less than intelligent compilers, but it is
possible that a clever compiler may be able to optimize the useless
assignment away so it might even out in the end ;-)

Will queue.

Thanks.